Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

mirog
2011-03-05 15:07:28

P@t a écrit:

mirog a écrit:

fichier de configuration locale ? Il s'appelle comment exactement ?

C'est le fichier local/config/config.inc.php (que tu peux éditer via LocalFiles Editor). A moins que tu ais modifié directement le fichier include/config_default.inc.php (ce qu'il ne faut pas faire!!!)

En fait, ma question, c'est de savoir si tu as définit un default user différent du guest. C'est à dire, est-ce que tu as définit $conf['default_user_id'] différent de $conf['guest_id']. Car si c'est le cas, alors en effet, changer la langue par défaut ne change que la langue du default user, et pas celle du guest... on peut dire que c'est un (mini) bug.

<?php

/* Le fichier n'existe pas et sera créé lors de l'enregistrement par LocalFiles Editor */

$conf['order_by'] = " order by file asc";
$conf['top_number'] = 42;
$conf['reverse_home_title'] = true;


?>

ddtddt
2011-03-05 09:09:42

mirog a écrit:

J'ai installé opera en Néerlandais et c'est toujours en français que j'ai le site sur mon IP francaise.
Donc il faut vraiment que je change d'IP ?

J'ai un doute mais suivant les navigateurs, il me semble que cela bascule sur la langue de OS.
J'essaie de refaire des tests ce soir

P@t
2011-03-05 08:54:55

mirog a écrit:

fichier de configuration locale ? Il s'appelle comment exactement ?

C'est le fichier local/config/config.inc.php (que tu peux éditer via LocalFiles Editor). A moins que tu ais modifié directement le fichier include/config_default.inc.php (ce qu'il ne faut pas faire!!!)

En fait, ma question, c'est de savoir si tu as définit un default user différent du guest. C'est à dire, est-ce que tu as définit $conf['default_user_id'] différent de $conf['guest_id']. Car si c'est le cas, alors en effet, changer la langue par défaut ne change que la langue du default user, et pas celle du guest... on peut dire que c'est un (mini) bug.

mirog
2011-03-05 03:25:44

fichier de configuration locale ? Il s'appelle comment exactement ?

P@t
2011-03-05 00:09:42

mirog a écrit:

Je preferre pas upgrader à la version 2.1.6 si c'est pour réfaire toute ma config dans les fichiers de conf.
En plus au niveau sécurité entre la 2.1.3 et la 2.1.6 il y a que deux entrée. Si il y a une grosse faille j'upgrade mais pas pr le moment.

Tu peux mettre à jour les yeux fermés, ta configuration restera la même...
Pour mettre à jour en un clic, il y a bien sur extension:302

mirog a écrit:

dans la base sql dans piwigo_user_infos il faut modifier user_id : 2 status: guest language : fr_FR par en_UK

Le fait de changer la langue par défaut modifit justement la langue du user guest... c'est donc très étrange que tu ais du le faire "à la main". Peux-tu nous donner le contenu de ton fichier de configuration locale (si tu en as un)?

mirog
2011-03-04 22:56:55

Je preferre pas upgrader à la version 2.1.6 si c'est pour réfaire toute ma config dans les fichiers de conf.
En plus au niveau sécurité entre la 2.1.3 et la 2.1.6 il y a que deux entrée. Si il y a une grosse faille j'upgrade mais pas pr le moment.

De toute facon je viens de trouver le pbm :

dans la base sql dans piwigo_user_infos il faut modifier user_id : 2 status: guest language : fr_FR par en_UK
Merci a tous

Eric
2011-03-04 22:39:57

Non, rien de sûr mais il est tout de même préférable, dans tous les cas, d'avoir la dernière version stable qui corrige un certain nombre de bugs et de failles de sécurité.

Si le problème ne se résout pas après la mise à jour vers 2.1.6, c'est qu'il y a un autre soucis sur votre galerie.

mirog
2011-03-04 21:34:38

Est ce que c'est sur qu'en 2.1.6 ca va marcher pour la langue par défaut ?

Eric
2011-03-04 21:25:38

D'ailleurs Astat est donné pour Piwigo 2.1.2 alors qu'il fonctionne bien sur votre galerie 2.1.3 ;-)

Eric
2011-03-04 21:24:09

Normalement, il n'y a pas de différences structurelles entre une galerie 2.1.3 et 2.1.6 donc les plugins qui fonctionnent en 2.1.3 devraient fonctionner en 2.1.6. Les auteurs ont dû oublier de les valider pour les versions supérieures.

mirog
2011-03-04 21:16:27

j'ai pas mal de plug-in qui s'arrêtent a la version 2.1.3
Est ce que cela va creer des pbm ?

Eric
2011-03-04 21:14:32

mirog a écrit:

Ma version est la 2.1.3.
Puis forcer la langue par défaut dans un fichier de conf ?

Je n'ai pas de galerie 2.1.3 sous la main. Pourquoi ne pas mettre à jour vers la version 2.1.6 ? C'est très simple, sans impact (mise à niveau mineure) et résoudra peut-être votre problème.

Eric
2011-03-04 21:12:37

J'ai testé sur une galerie 2.1.6 et je ne reproduis pas le problème. Donc c'est lié à la galerie de mirog uniquement.

Mais pour ce qui est de savoir où et quoi...

mirog
2011-03-04 21:11:35

Ma version est la 2.1.3.
Puis forcer la langue par défaut dans un fichier de conf ?

Eric
2011-03-04 21:10:17

Eric a écrit:

En plus je reproduit le pb sur la 2.2.0RC3.

Erratum ! En fait, non. En 2.2.0RC3, c'est OK si on positionne une langue par défaut, c'est bien celle-ci qui est utilisée lorsque la langue envoyée par le navigateur n'est pas connue de Piwigo.

Pied de page des forums

Propulsé par FluxBB

github twitter facebook newsletter Faire un don Piwigo.org © 2002-2019 · Contact